HTTP Methods
getAccountInfo
Returns all information associated with the account of provided Pubkey.
POST
getAccountInfo
New Feature:
getAccountInfo now supports the changedSinceSlot parameter for incremental updates. When specified, the method returns only accounts that have been modified at or after the given slot number. For accounts that exist but haven’t changed since the specified slot, the response will contain status: "unchanged".Request Parameters
string
required
Pubkey of account to query, as a base-58 encoded string.
string
Commitment level for the query.
finalizedconfirmedprocessed
string
Encoding format for account data.
base58base64base64+zstdjsonParsed
object
Request a slice of the account’s data.
number
Byte offset from which to start reading.
number
Number of bytes to return.
number
The minimum slot that the request can be evaluated at.
number
Only return the account if it has been modified at or after this slot number. If the account exists but hasn’t changed since the specified slot, the response will contain status as “unchanged”.
Authorizations
Body
application/json
The JSON-RPC protocol version.
Available options:
2.0 A unique identifier for the request.
Example:
"1"
The name of the RPC method to invoke.
Available options:
getAccountInfo Pubkey of account to query, as a base-58 encoded string.
Example:
"83astBRguLMdt2h5U1Tpdq5tjFoJ6noeGwaY3mDLVcri"